<div class="main">

  <div class="container">

    <div class="middle">

      <div class="login" id="login">

        <form *ngIf="!isLoggedIn" (ngSubmit)="f.form.valid &&  loginUser()" #f="ngForm" novalidate style="margin-top: 160px;
                margin-block: unset; background-color: rgb(255, 255, 255);
                padding-right: 40px;
                padding-left: 40px;
                padding-bottom: 30px;
                padding-top: 20px;
                border-radius: 10px;
                border-color: rgb(9, 73, 75);">
          <h3
            style="text-align: center; font-size: 30px; margin-bottom: 30px; font-family:  'Lucida Grande', 'Lucida Sans', Arial, sans-serif;">
            Connectez-vous ici pour y accéder</h3>

          <fieldset class="clearfix">

            <!--  Matricule -->
            <div class="input-group" style="position:relative; margin-top: 20px;">
              <span class="input-group-addon"><i class="fa fa-user fa-2sx"></i></span>
              <input type="text" class="form-control" name="u" [(ngModel)]="form.matricule" required
                #matricule="ngModel" placeholder="Ecrivez votre matricule" />
            </div>


            <div class="alert alert-danger" role="alert" *ngIf="f.submitted && matricule.invalid"
              style="margin-top: 10px; font-size: larger; border-radius: 80px;">
              Matricule est obligatoire!
            </div>

            <!--  Mot de passe   -->
            <div class="input-group" style="position:relative; margin-top: 20px;">
              <span class="input-group-addon"><i class="fa fa-lock fa-2sx"></i></span>
              <input type="password" class="form-control" name="p" [(ngModel)]="form.password" required minlength="8"
                #password="ngModel" placeholder="Ecrivez votre mot de passe" />
            </div>

            <div class="alert alert-danger" role="alert" *ngIf="f.submitted && password.invalid"
              style="margin-top: 10px; font-size: larger; border-radius: 80px;">
              <div *ngIf="password.errors.required">Mot de passe est obligatoire</div>
              <div *ngIf="password.errors.minlength">
                Mot de passe doit etre d'au moins 8 caractères
              </div>
            </div>
            <!-- Bouton connexion -->
            <div>
              <!-- Alert echoue-->
              <div class="form-group">
                <div class="alert alert-danger " role="alert" *ngIf="f.submitted && isLoginFailed"
                  style="margin-top: 10px; font-size: larger; border-radius: 80px;">
                  Echec de la connexion <br>{{ errorMessage }}
                </div>
              </div>
              <span style="width:48%; text-align:left; font-size: 15px; display: inline-block;">
                <a class="small-text" href="http://localhost:4200/Demande-reinitialisation" (ngSubmit)="mdp()">Mot de
                  passe oublié?</a>

              </span>

              <span style="width:50%; text-align:right;  display: inline-block;">
                <button type="submit" class="btn btn-outline-success  " id="bt1">
                  Connexion
                </button>
              </span>

            </div>

          </fieldset>
          <div class="clearfix"></div>
        </form>
      </div>
      <!-- Alert success
<div class="alert alert-success col-md-4" *ngIf="isLoggedIn">
                Connecté en tant que {{ roles }}. </div>
</div> -->
    </div>

  </div>
</div>